// database/config/config.js
import { Sequelize } from 'sequelize';
// 使用 require 导入 JSON（兼容所有 Node.js 版本）
const config = require('./config.json');

const env = process.env.NODE_ENV || 'development';
const sequelize = new Sequelize(
  config[env].database,
  config[env].username,
  config[env].password,
  {
    host: config[env].host,
    dialect: config[env].dialect,
    logging: false
  }
);

export default sequelize;