USE job_management;

-- 部门数据
INSERT INTO departments (name, description) VALUES
('技术部', '负责公司技术研发与系统维护'),
('产品部', '负责产品规划与设计'),
('市场部', '负责公司品牌推广与市场营销'),
('人力资源部', '负责公司人才招聘与员工管理'),
('财务部', '负责公司财务管理与会计核算');

-- 岗位数据
INSERT INTO jobs (title, department_id, location, status, pending_resumes, passed_resumes, job_description, requirements, salary_range) VALUES
('前端开发工程师', 1, '北京', 'active', 12, 5, '负责Web前端开发工作', '3年以上经验，熟悉Vue/React', '15K-25K'),
('后端开发工程师', 1, '上海', 'active', 8, 3, '负责服务端开发工作', '5年以上经验，熟悉Java/Python', '20K-35K'),
('产品经理', 2, '广州', 'active', 5, 2, '负责产品规划与需求分析', '3年以上经验，有ToB产品经验', '18K-28K'),
('UI设计师', 2, '深圳', 'paused', 0, 0, '负责产品UI设计', '2年以上经验，精通Figma', '12K-20K'),
('市场专员', 3, '杭州', 'active', 7, 1, '负责市场推广活动策划', '2年以上经验，有新媒体运营经验', '10K-18K'),
('人力资源专员', 4, '成都', 'draft', 0, 0, '负责人员招聘与培训', '2年以上HR经验', '8K-15K'),
('财务经理', 5, '北京', 'active', 3, 1, '负责财务管理工作', '5年以上经验，CPA优先', '25K-40K');

-- 简历数据
INSERT INTO resumes (job_id, candidate_name, email, phone, status, resume_text, score) VALUES
(1, '张三', 'zhangsan@example.com', '13800138001', 'pending', '3年前端开发经验，熟悉Vue框架', 78.5),
(1, '李四', 'lisi@example.com', '13900139001', 'pending', '5年全栈开发经验，精通React', 85.2),
(1, '王五', 'wangwu@example.com', '13700137001', 'passed', '2年前端开发经验，熟悉Vue生态', 72.3),
(2, '赵六', 'zhaoliu@example.com', '13600136001', 'pending', '4年Java后端开发经验', 81.7),
(2, '钱七', 'qianqi@example.com', '13500135001', 'pending', '6年Python后端开发经验', 89.4),
(3, '孙八', 'sunba@example.com', '13400134001', 'pending', '4年产品经理经验，有ToB产品经验', 83.6),
(4, '周九', 'zhoujiu@example.com', '13300133001', 'rejected', '1年UI设计经验', 65.9),
(5, '吴十', 'wushi@example.com', '13200132001', 'pending', '3年市场推广经验，熟悉新媒体运营', 79.1);

-- 用户数据
INSERT INTO users (username, password_hash, role) VALUES
('admin', '$2b$10$YhBwWjXJwJwJwJwJwJwJ.OyJwJwJwJwJwJwJwJwJwJ', 'admin'),
('recruiter1', '$2b$10$YhBwWjXJwJwJwJwJwJwJ.OyJwJwJwJwJwJwJwJwJwJ', 'recruiter'),
('viewer1', '$2b$10$YhBwWjXJwJwJwJwJwJwJ.OyJwJwJwJwJwJwJwJwJwJ', 'viewer');    