// models/Job.js
import { DataTypes } from 'sequelize';
// database/models/Resume.js
import sequelize from '../config/config';  // 正确路径


const Job = sequelize.define('Job', {
  title: {
    type: DataTypes.STRING(100),
    allowNull: false
  },
  location: {
    type: DataTypes.STRING(100),
    allowNull: false
  },
  status: {
    type: DataTypes.ENUM('active', 'paused', 'draft'),
    defaultValue: 'draft'
  },
  pendingResumes: {
    type: DataTypes.INTEGER,
    defaultValue: 0,
    field: 'pending_resumes'
  },
  passedResumes: {
    type: DataTypes.INTEGER,
    defaultValue: 0,
    field: 'passed_resumes'
  },
  jobDescription: {
    type: DataTypes.TEXT,
    field: 'job_description'
  },
  requirements: {
    type: DataTypes.TEXT
  },
  salaryRange: {
    type: DataTypes.STRING(50),
    field: 'salary_range'
  }
}, {
  tableName: 'jobs',
  underscored: true,    // 自动将驼峰命名转为蛇形命名
  timestamps: true      // 自动添加 createdAt 和 updatedAt
});

module.exports = Job;