// models/Resume.js
import { DataTypes } from 'sequelize';
import sequelize from '../config/config';  // 修正路径

import Job from './job.js';
//import Job from './Job.js';
const Resume = sequelize.define('Resume', {
  candidate_name: DataTypes.STRING,
  email: DataTypes.STRING,
  phone: DataTypes.STRING,
  status: DataTypes.ENUM('pending', 'passed', 'rejected', 'interview'),
  resume_text: DataTypes.TEXT,
  score: DataTypes.DECIMAL(5, 2)
});

// 关联关系
Resume.belongsTo(Job, { foreignKey: 'job_id' });

module.exports = Resume;